# Uses of Class
org.apache.sysds.runtime.transform.encode.MultiColumnEncoder

Packages that use MultiColumnEncoder
Package
Description
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.spark
org.apache.sysds.runtime.transform.encode

## Uses of MultiColumnEncoder in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type MultiColumnEncoder
Modifier and Type
Method
Description
`static void`
MultiReturnParameterizedBuiltinFEDInstruction.`encodeFederatedFrames(FederationMap fedMapping, MultiColumnEncoder globalencoder, MatrixObject transformedMat)`
Constructors in org.apache.sysds.runtime.instructions.fed with parameters of type MultiColumnEncoder
Modifier
Constructor
Description
``
`ExecuteFrameEncoder(long input, long output, MultiColumnEncoder encoder)`

## Uses of MultiColumnEncoder in org.apache.sysds.runtime.instructions.spark

Constructors in org.apache.sysds.runtime.instructions.spark with parameters of type MultiColumnEncoder
Modifier
Constructor
Description
``
`TransformEncodeBuildFunction(MultiColumnEncoder encoder)`
``
`TransformEncodeGroupFunction(MultiColumnEncoder encoder, org.apache.sysds.runtime.instructions.spark.MultiReturnParameterizedBuiltinSPInstruction.MaxLongAccumulator accMax)`
Constructor parameters in org.apache.sysds.runtime.instructions.spark with type arguments of type MultiColumnEncoder
Modifier
Constructor
Description
``
`RDDTransformApplyFunction(org.apache.spark.broadcast.Broadcast<MultiColumnEncoder> bencoder, org.apache.spark.broadcast.Broadcast<TfOffsetMap> omap)`
``
`RDDTransformApplyFunction2(org.apache.spark.broadcast.Broadcast<MultiColumnEncoder> bencoder, org.apache.spark.broadcast.Broadcast<TfOffsetMap> omap)`

## Uses of MultiColumnEncoder in org.apache.sysds.runtime.transform.encode

Methods in org.apache.sysds.runtime.transform.encode that return MultiColumnEncoder
Modifier and Type
Method
Description
`static MultiColumnEncoder`
EncoderFactory.`createEncoder(String spec, int clen)`
`static MultiColumnEncoder`
EncoderFactory.`createEncoder(String spec, String[] colnames, int clen, FrameBlock meta)`
`static MultiColumnEncoder`
EncoderFactory.`createEncoder(String spec, String[] colnames, int clen, FrameBlock meta, int minCol, int maxCol)`
`static MultiColumnEncoder`
EncoderFactory.`createEncoder(String spec, String[] colnames, int clen, FrameBlock meta, MatrixBlock embeddings)`
`static MultiColumnEncoder`
EncoderFactory.`createEncoder(String spec, String[] colnames, int clen, FrameBlock meta, MatrixBlock embeddings, int minCol, int maxCol)`
`static MultiColumnEncoder`
EncoderFactory.`createEncoder(String spec, String[] colnames, Types.ValueType[] schema, int clen, FrameBlock meta)`
`static MultiColumnEncoder`
EncoderFactory.`createEncoder(String spec, String[] colnames, Types.ValueType[] schema, int clen, FrameBlock meta, MatrixBlock embeddings)`
`static MultiColumnEncoder`
EncoderFactory.`createEncoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta)`
`static MultiColumnEncoder`
EncoderFactory.`createEncoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, int minCol, int maxCol)`
`static MultiColumnEncoder`
EncoderFactory.`createEncoder(String spec, String[] colnames, Types.ValueType[] schema, FrameBlock meta, MatrixBlock embeddings)`
`MultiColumnEncoder`
MultiColumnEncoder.`subRangeEncoder(IndexRange ixRange)`
`<T extends ColumnEncoder>
MultiColumnEncoder`
MultiColumnEncoder.`subRangeEncoder(IndexRange ixRange, Class<T> type)`
Methods in org.apache.sysds.runtime.transform.encode with parameters of type MultiColumnEncoder
Modifier and Type
Method
Description
`static MatrixBlock`
CompressedEncode.`encode(MultiColumnEncoder enc, FrameBlock in, int k)`
`void`
MultiColumnEncoder.`mergeReplace(MultiColumnEncoder multiEncoder)`
Constructors in org.apache.sysds.runtime.transform.encode with parameters of type MultiColumnEncoder
Modifier
Constructor
Description
``
`MultiColumnEncoder(MultiColumnEncoder menc)`